#include <bits/stdc++.h>

using namespace std;

int n,x;
int niz[1000005];
int mn,mx;
int main () {
    cin>>n>>x;
    mn=x;
    mx=x;
    for(int i=1;i<=n;i++){
        cin>>niz[i];
        if(niz[i]<mn){
            mn=niz[i];
        }
        if(niz[i]>mx){
            mx=niz[i];
        }
    }
    if(mx!=x and mn!=x){
        if(x-mn>mx-x){
            cout<<2*(mx-x)+x-mn<<endl;
        }
        if(mx-x>=x-mn){
            cout<<2*(x-mn)+mx-x<<endl;
        }
    }
    return 0;
}